%define name xmms-mplayer
%define version 0.3.2
%define release 1

Name: %{name}
Summary: An input plug-in for XMMS that plays videos using MPlayer.
Version: %{version}
Release: %{release}
License: GPL
Group: Video
Source0: http://thegraveyard.org/files/xmmplayer-%{version}.tar.gz
URL: http://thegraveyard.org/xmmplayer.php
Packager: Shlomi Fish <shlomif@vipe.technion.ac.il>
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires:	libxmms-devel
BuildRequires:	mplayer
Requires: xmms mplayer

%description
XMMPlayer is an input plugin for XMMS that allows you to play video files from within XMMS using MPlayer as a back-end. 

%prep
%setup -q -n xmmplayer-%{version}

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README AUTHORS COPYING NEWS TODO
%{_libdir}/xmms/Input/*

%changelog
* Fri May 30 2003 Shlomi Fish <shlomif@vipe.technion.ac.il> 0.2.0-1
- Adapted the SPEC from xmms-smpeg

